JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioIODeviceType::Listener Class Referenceabstract
juce_audio_devices » audio_io

A class for receiving events when audio devices are inserted or removed. More...

`#include <juce_AudioIODeviceType.h>`

## Public Member Functions
virtual | ~Listener ()=default
virtual void | audioDeviceListChanged ()=0
| Called when the list of available audio devices changes.

## Detailed Description

A class for receiving events when audio devices are inserted or removed.

You can register an AudioIODeviceType::Listener with an AudioIODeviceType object using the AudioIODeviceType::addListener() method, and it will be called when devices of that type are added or removed.

See also
  AudioIODeviceType::addListener, AudioIODeviceType::removeListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual AudioIODeviceType::Listener::~Listener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ audioDeviceListChanged()

virtual void AudioIODeviceType::Listener::audioDeviceListChanged | ( |  | ) |
| pure virtual

Called when the list of available audio devices changes.

The documentation for this class was generated from the following file:

- juce_AudioIODeviceType.h